<div class="" 
style="margin: 0px; padding: 0px; 
background: url('../../assets/backregister.jpg'); 
width: 100%; height: 100%;
z-index: -1; position: absolute; top: 0; left: 0;">
</div>

<div class="row justify-content-center col-lg-12 pt-2 mx-0">
    <div class="col-sm-12 col-md-12 col-lg-6">
        <form [formGroup]="registerForm"
        role="form"
        class="form-group border rounded bg-light p-3 mt-3"
        style="background-color: rgba(255,255,255,0.9) !important;"
        novalidate
        (ngSubmit)="onRegister()">
            <div>
                <p class="lead font-weight-bold text-center">
                    Registrate y conoce nuestra plataforma
                </p>
                <hr class="my-4">
            </div>
            <div class="form-row">
                <div class="form-group col-md-6 ">
                    <label for="inputName">Nombre</label>
                    <input type="text" 
                    name="inputName" 
                    id="inputName"
                    class="form-control col-12 col-md-12"
                    placeholder="Nombre completo"
                    formControlName="fullname">
                    <span class="badge badge-danger" 
                        *ngIf="fullname.invalid 
                        && (fullname.dirty || fullname.touched)">
                        ¡Debes de introducir tu nombre sin apellidos!
                    </span>
                </div>
                <div class="form-group col-md-6">
                    <label for="inputLastname">Apellido paterno</label>
                    <input type="text" 
                    name="inputLastname" 
                    id="inputLastname"
                    class="form-control col-12 col-md-12"
                    placeholder="Primer apellido"
                    formControlName="lastname">
                    <span class="badge badge-danger" 
                        *ngIf="lastname.invalid 
                        && (lastname.dirty || lastname.touched)">
                        ¡Introduce tu primer apellido!
                    </span>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="inputSecond">Apellido materno</label>
                    <input type="text" 
                    name="inputSecond" 
                    id="inputSecond"
                    class="form-control col-12 col-md-12"
                    placeholder="Segundo apellido"
                    formControlName="secondlastname">
                    <span class="badge badge-danger" 
                        *ngIf="secondlastname.invalid 
                        && (secondlastname.dirty || secondlastname.touched)">
                        ¡Introduce tu segundo apellido!
                    </span>
                </div>
                <div class="form-group col-md-6">
                    <label for="inputBirthday">Fecha de nacimiento</label>
                    <input type="date" 
                    name="inputBirthday" 
                    id="inputBirthday"
                    class="form-control col-12 col-md-12"
                    formControlName="birthday">
                    <span class="badge badge-danger" 
                        *ngIf="birthday.invalid 
                        && (birthday.dirty || birthday.touched)">
                        ¡No olvides tu fecha de nacimiento!
                    </span>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-8">
                    <label for="inputGenre">Genero</label>
                    <select class="custom-select" 
                    name="inputGenre"
                    formControlName="genere">
                        <option value="">Selecciona tu genero</option>
                        <option *ngFor="let genre of genreCollection; let i index" 
                        [attr.value]="genre.id">{{genre.value}}</option>
                    </select>
                    <span class="badge badge-danger" 
                        *ngIf="genere.invalid 
                        && (genere.dirty || genere.touched)">
                        ¡Tu genero solo por cuestiones de analisis!
                    </span>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="inputEmail">Correo electronico</label>
                    <input type="text" 
                    name="inputEmail" 
                    id="inputEmail"
                    class="form-control col-12 col-md-12"
                    placeholder="usuario@correo.com"
                    formControlName="email">
                    <span class="badge badge-danger" 
                        *ngIf="email.invalid 
                        && (email.dirty || email.touched)">
                        ¡Este si es importante!
                    </span>
                </div>
                <div class="form-group col-md-6">
                    <label for="inputNick">Nickname</label>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text" 
                            id="inputGroupPrepend">@</span>
                        </div>
                        <input type="text" 
                        class="form-control" 
                        id="inputNick" 
                        placeholder="Username" 
                        aria-describedby="inputGroupPrepend" 
                        formControlName="username">
                        <span class="badge badge-danger" 
                            *ngIf="username.invalid 
                            && (username.dirty || username.touched)">
                            ¡Como quieres que la comunidad te conozca!
                        </span>
                    </div>  
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-md-6 ">
                    <label for="inputPass">Contraseña</label>
                    <input type="password" 
                    name="inputPass" 
                    id="inputPass"
                    class="form-control col-12 col-md-12"
                    placeholder="pasword"
                    formControlName="password">
                    <span class="badge badge-danger" 
                        *ngIf="password.invalid 
                        && (password.dirty || password.touched)">
                        ¡Usa una contraseña segura!
                    </span>
                </div>
                <div class="form-group col-md-6">
                    <label for="inputConfirm">Confirmacion de contraseña</label>
                    <input type="password" 
                    name="inputConfirm" 
                    id="inputConfirm"
                    class="form-control col-12 col-md-12"
                    placeholder="confirme contraseña"
                    formControlName="confirm">
                    <span class="badge badge-danger" 
                        *ngIf="confirm.invalid && confirm.required
                        && (confirm.dirty || confirm.touched)">
                        ¡Debes de escribirla de nuevo!
                    </span>
                    <span class="badge badge-danger"
                    *ngIf="registerForm.value.password != registerForm.value.confirm
                    && (confirm.dirty || confirm.touched)">
                        !Tus contraseñas con coinciden¡
                    </span>
                </div>
            </div>
            <button id="Registro"
            type="submit"
            class="btn btn-outline-primary btn-lg btn-block"
            style="text-align: center;"
            [disabled]="!registerForm.valid || loadingFlag">
                <div *ngIf="loadingFlag; then thenBlock; else elseBlock"></div>
                <ng-template #thenBlock>
                    <span class="spinner-border spinner-border-sm mr-2"></span>Registrandote
                </ng-template>
                <ng-template #elseBlock>
                    <span>Registrate</span>
                </ng-template>
            </button>
            <small id="changePassword">
                ¿Ya tienes una cuenta?.
                <a routerLink="/login">Inicia sesion</a>
            </small>
        </form>
    </div>
</div>

<!-->
<div class="container contenedor">
    <div class="row justify-content-center col-12">
        <div class="col-12 col-lg-12">
            <form [formGroup]="registerForm"
            role="form"
            class="form-group border rounded bg-light p-3 mt-3"
            style="background-color: rgba(255,255,255,0.9) !important;"
            novalidate
            (ngSubmit)="onRegister()">
                <div>
                    <p class="lead font-weight-bold text-center">
                        Registrate y conoce nuestra plataforma
                    </p>
                    <hr class="my-4">
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6 ">
                        <label for="inputName">Nombre</label>
                        <input type="text" 
                        name="inputName" 
                        id="inputName"
                        class="form-control col-12 col-md-12"
                        placeholder="Nombre completo"
                        formControlName="fullname">
                        <span class="badge badge-danger" 
                            *ngIf="fullname.invalid 
                            && (fullname.dirty || fullname.touched)">
                            ¡Debes de introducir tu nombre sin apellidos!
                        </span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputLastname">Apellido paterno</label>
                        <input type="text" 
                        name="inputLastname" 
                        id="inputLastname"
                        class="form-control col-12 col-md-12"
                        placeholder="Primer apellido"
                        formControlName="lastname">
                        <span class="badge badge-danger" 
                            *ngIf="lastname.invalid 
                            && (lastname.dirty || lastname.touched)">
                            ¡Introduce tu primer apellido!
                        </span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="inputSecond">Apellido materno</label>
                        <input type="text" 
                        name="inputSecond" 
                        id="inputSecond"
                        class="form-control col-12 col-md-12"
                        placeholder="Segundo apellido"
                        formControlName="secondlastname">
                        <span class="badge badge-danger" 
                            *ngIf="secondlastname.invalid 
                            && (secondlastname.dirty || secondlastname.touched)">
                            ¡Introduce tu segundo apellido!
                        </span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputBirthday">Fecha de nacimiento</label>
                        <input type="date" 
                        name="inputBirthday" 
                        id="inputBirthday"
                        class="form-control col-12 col-md-12"
                        formControlName="birthday">
                        <span class="badge badge-danger" 
                            *ngIf="birthday.invalid 
                            && (birthday.dirty || birthday.touched)">
                            ¡No olvides tu fecha de nacimiento!
                        </span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-8">
                        <label for="inputGenre">Genero</label>
                        <select class="custom-select" 
                        name="inputGenre"
                        formControlName="genere">
                            <option value="">Selecciona tu genero</option>
                            <option *ngFor="let genre of genreCollection; let i index" 
                            [attr.value]="genre.id">{{genre.value}}</option>
                        </select>
                        <span class="badge badge-danger" 
                            *ngIf="genere.invalid 
                            && (genere.dirty || genere.touched)">
                            ¡Tu genero solo por cuestiones de analisis!
                        </span>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6">
                        <label for="inputEmail">Correo electronico</label>
                        <input type="text" 
                        name="inputEmail" 
                        id="inputEmail"
                        class="form-control col-12 col-md-12"
                        placeholder="usuario@correo.com"
                        formControlName="email">
                        <span class="badge badge-danger" 
                            *ngIf="email.invalid 
                            && (email.dirty || email.touched)">
                            ¡Este si es importante!
                        </span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputNick">Nickname</label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text" 
                                id="inputGroupPrepend">@</span>
                            </div>
                            <input type="text" 
                            class="form-control" 
                            id="inputNick" 
                            placeholder="Username" 
                            aria-describedby="inputGroupPrepend" 
                            formControlName="username">
                            <span class="badge badge-danger" 
                                *ngIf="username.invalid 
                                && (username.dirty || username.touched)">
                                ¡Como quieres que la comunidad te conozca!
                            </span>
                        </div>  
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-6 ">
                        <label for="inputPass">Contraseña</label>
                        <input type="password" 
                        name="inputPass" 
                        id="inputPass"
                        class="form-control col-12 col-md-12"
                        placeholder="pasword"
                        formControlName="password">
                        <span class="badge badge-danger" 
                            *ngIf="password.invalid 
                            && (password.dirty || password.touched)">
                            ¡Usa una contraseña segura!
                        </span>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputConfirm">Confirmacion de contraseña</label>
                        <input type="password" 
                        name="inputConfirm" 
                        id="inputConfirm"
                        class="form-control col-12 col-md-12"
                        placeholder="confirme contraseña"
                        formControlName="confirm">
                        <span class="badge badge-danger" 
                            *ngIf="confirm.invalid && confirm.required
                            && (confirm.dirty || confirm.touched)">
                            ¡Debes de escribirla de nuevo!
                        </span>
                        <span class="badge badge-danger"
                        *ngIf="registerForm.value.password != registerForm.value.confirm
                        && (confirm.dirty || confirm.touched)">
                            !Tus contraseñas con coinciden¡
                        </span>
                    </div>
                </div>
                <button id="Registro"
                type="submit"
                class="btn btn-outline-primary btn-lg btn-block"
                style="text-align: center;"
                [disabled]="!registerForm.valid || loadingFlag">
                    <div *ngIf="loadingFlag; then thenBlock; else elseBlock"></div>
                    <ng-template #thenBlock>
                        <span class="spinner-border spinner-border-sm mr-2"></span>Registrandote
                    </ng-template>
                    <ng-template #elseBlock>
                        <span>Registrate</span>
                    </ng-template>
                </button>
                <small id="changePassword">
                    ¿Ya tienes una cuenta?.
                    <a routerLink="/login">Inicia sesion</a>
                </small>
            </form>
        </div>
    </div>
</div>
<-->